| Home | Libraries | People | FAQ | More

## Function template hex

boost::algorithm::hex — Converts a sequence of integral types into a hexadecimal sequence of characters.

## Synopsis

    // In header: <boost/algorithm/hex.hpp>

    template<typename String> String hex(const String & input);

## Description

Parameters:

`input` | A container to be converted

Returns: | A container with the encoded text